Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Wed, 06 Jul 2022 12:44:26 +0000

>> There's some slight hangs when `C-s'-ing the file, but none that last 
>> longer than a second or two.  (Perhaps that has something to do with 
>> `C-s' trying to add highlights to all the matches?)
>
> Indeed.  I want to preserve normal editing experience as far as 
> possible, so I did not touch these values so far.  I tried the four 
> possible t/nil combinations for search-highlight and 
> isearch-lazy-highlight, and setting isearch-lazy-highlight to nil 
> improves Emacs' response time in such cases. Also setting 
> isearch-highlight to nil is better, but only slightly.  I'll see what I 
> can do.
>

I just pushed a change to the feature branch which should improve isearch 
in that case.